@import url('https://fonts.googleapis.com/css2?family=Bellefair&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  display: grid;
  grid-template-rows: 90% 10%;
  background: hsl(230 35% 7%);
  grid-template-columns: 1fr;
  align-items: center;
  justify-items: center;
}

body.light {
  background: #fff;
}

.icon {
  background-color: white;
  position: absolute;
  top: 2em;
  right: 2em;
  cursor: pointer;
  width: 2.2em;
  border-radius: 50%;
  transition: transform 1s ease-in-out;
}

.btn {
  align-content: center;
  border: 50px solid red;
  font-family: 'Bellefair', serif;
  font-weight: 400;
  text-transform: uppercase;
  height: 10em;
  width: 10em;
  border-radius: 50%;
  text-align: center;
  font-size: 2rem;
  cursor: pointer;
  border: none;
  letter-spacing: 10px;
  box-shadow: 0px 0px 15px 30px rgba(109, 109, 109, 0.7);
  opacity: 0.8;
  transition: all ease-in-out 1s;
}

.btn.btn-light {
  background-color: #2f4f4f;
  color: #fff;
}

.btn:hover {
  box-shadow: 0px 0px 15px 50px rgba(109, 109, 109, 1);
  opacity: 1;
}

footer {
  text-align: center;
  font-family: 'Mulish', sans-serif;
  width: 100%;
  background-color: antiquewhite;
  padding: 1em;
  font-size: 1.2rem;
  margin-top: 1em;
}

footer .twitter {
  text-decoration: none;
  color: inherit;
}

footer .twitter:hover,
footer .twitter:focus {
  color: rebeccapurple;
}
